apiVersion: operators.coreos.com/v1alpha1
kind: ClusterServiceVersion
metadata:
  annotations:
    alm-examples: "[\n  {\n    \"apiVersion\": \"charts.helm.k8s.io/v1alpha1\",\n\
      \    \"kind\": \"OpenshiftArtifactoryHa\",\n    \"metadata\": {\n      \"name\"\
      : \"openshiftartifactoryha\"\n    },\n    \"spec\": {\n      \"artifactory-ha\"\
      : {\n        \"artifactory\": {\n          \"image\": {\n            \"repository\"\
      : \"registry.connect.redhat.com/jfrog/artifactory-pro\",\n            \"version\"\
      : \"7.4.3\"\n          },\n          \"joinKey\": \"EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE\"\
      ,\n          \"masterKey\": \"FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF\"\
      ,\n          \"node\": {\n            \"replicaCount\": 2,\n            \"waitForPrimaryStartup\"\
      : {\n              \"enabled\": false\n            }\n          }\n        },\n\
      \        \"database\": {\n          \"driver\": \"OVERRIDE\",\n          \"\
      password\": \"OVERRIDE\",\n          \"type\": \"OVERRIDE\",\n          \"url\"\
      : \"OVERRIDE\",\n          \"user\": \"OVERRIDE\"\n        },\n        \"initContainerImage\"\
      : \"registry.redhat.io/ubi8-minimal\",\n        \"nginx\": {\n          \"http\"\
      : {\n            \"externalPort\": 80,\n            \"internalPort\": 8080\n\
      \          },\n          \"https\": {\n            \"externalPort\": 443,\n\
      \            \"internalPort\": 8443\n          },\n          \"image\": {\n\
      \            \"repository\": \"registry.redhat.io/rhel8/nginx-116\",\n     \
      \       \"version\": \"latest\"\n          },\n          \"service\": {\n  \
      \          \"ssloffload\": false\n          },\n          \"tlsSecretName\"\
      : \"OVERRIDE\"\n        },\n        \"postgresql\": {\n          \"enabled\"\
      : false\n        },\n        \"waitForDatabase\": false\n      }\n    }\n  }\n\
      ]"
    capabilities: Basic Install
    categories: Developer Tools,Integration & Delivery
    certified: 'true'
    containerImage: registry.connect.redhat.com/jfrog/artifactory-operator:7.4
    createdAt: 2020-03-25 00:00:00+00:00
    description: JFrog Artifactory Enterprise deploys Artifactory in a high availability
      environment across multiple pods
    repository: https://github.com/jfrog/JFrog-Cloud-Installers/tree/openshift4/Openshift4
    support: JFrog
  creationTimestamp: null
  name: artifactory-ha-operator.v1.0.0
  namespace: placeholder
spec:
  apiservicedefinitions: {}
  customresourcedefinitions:
    owned:
    - description: Represents Artifactory HA Instances
      displayName: Artifactory HA
      kind: OpenshiftArtifactoryHa
      name: openshiftartifactoryhas.charts.helm.k8s.io
      resources:
      - kind: Deployment
        name: ''
        version: v1
      - kind: Service
        name: ''
        version: v1
      - kind: ReplicaSet
        name: ''
        version: v1
      - kind: Pod
        name: ''
        version: v1
      - kind: Secret
        name: ''
        version: v1
      - kind: ConfigMap
        name: ''
        version: v1
      - kind: StatefulSet
        name: ''
        version: apps/v1
      version: v1alpha1
  description: Openshift 4 Operator to deploy JFrog Artifactory Enterprise
  displayName: JFrog Artifactory Enterprise Operator
  icon:
  - base64data: [encoded data, 25728 characters]
    mediatype: image/png
  install:
    spec:
      deployments:
      - name: artifactory-ha-operatorvi
        spec:
          replicas: 1
          selector:
            matchLabels:
              name: artifactory-ha-operator
          strategy: {}
          template:
            metadata:
              labels:
                name: artifactory-ha-operator
            spec:
              containers:
              - env:
                - name: WATCH_NAMESPACE
                  valueFrom:
                    fieldRef:
                      fieldPath: metadata.annotations['olm.targetNamespaces']
                - name: POD_NAME
                  valueFrom:
                    fieldRef:
                      fieldPath: metadata.name
                - name: OPERATOR_NAME
                  value: artifactory-ha-operator
                - name: RELATED_IMAGE_ARTIFACTORY_IMAGE_REPOSITORY
                  value: registry.connect.redhat.com/jfrog/artifactory-pro:7.4.3
                - name: RELATED_IMAGE_NGINX_IMAGE_REPOSITORY
                  value: registry.redhat.io/rhel8/nginx-116:latest
                image: registry.connect.redhat.com/jfrog/artifactory-operator:7.4
                imagePullPolicy: Always
                name: artifactory-ha-operator
                resources: {}
              serviceAccountName: artifactory-ha-operator
      permissions:
      - rules:
        - apiGroups:
          - ''
          resources:
          - pods
          - services
          - services/finalizers
          - endpoints
          - persistentvolumeclaims
          - events
          - configmaps
          - secrets
          - serviceaccounts
          verbs:
          - create
          - delete
          - get
          - list
          - patch
          - update
          - watch
        - apiGroups:
          - apps
          resources:
          - deployments
          - daemonsets
          - replicasets
          - statefulsets
          verbs:
          - create
          - delete
          - get
          - list
          - patch
          - update
          - watch
        - apiGroups:
          - ''
          resources:
          - namespaces
          verbs:
          - get
        - apiGroups:
          - ''
          resourceNames:
          - artifactory-ha-operator
          resources:
          - '*'
          verbs:
          - '*'
        - apiGroups:
          - ''
          resources:
          - events
          verbs:
          - create
        - apiGroups:
          - monitoring.coreos.com
          resources:
          - servicemonitors
          verbs:
          - get
          - create
        - apiGroups:
          - apps
          resourceNames:
          - artifactory-ha-operator
          resources:
          - deployments/finalizers
          verbs:
          - update
        - apiGroups:
          - ''
          resources:
          - pods
          verbs:
          - get
        - apiGroups:
          - apps
          resources:
          - replicasets
          - deployments
          verbs:
          - get
        - apiGroups:
          - charts.helm.k8s.io
          resources:
          - '*'
          verbs:
          - create
          - delete
          - get
          - list
          - patch
          - update
          - watch
        - apiGroups:
          - networking.k8s.io
          resources:
          - '*'
          verbs:
          - '*'
        - apiGroups:
          - policy
          resources:
          - '*'
          verbs:
          - '*'
        - apiGroups:
          - rbac.authorization.k8s.io
          resources:
          - '*'
          verbs:
          - '*'
        serviceAccountName: artifactory-ha-operator
    strategy: deployment
  installModes:
  - supported: true
    type: OwnNamespace
  - supported: true
    type: SingleNamespace
  - supported: false
    type: MultiNamespace
  - supported: true
    type: AllNamespaces
  keywords:
  - DevOps
  - CI/CD
  - Developers
  - Software
  - Productivity
  - Artifact Repository
  - Repository Manager
  - Docker
  - Maven
  - Git
  - Helm
  - npm
  - go
  - golang
  - kubernetes
  - k8s
  - rpm
  - yum
  links:
  - name: JFrog
    url: https://www.jfrog.com
  - name: JFrog Artifact Repository
    url: https://jfrog.com/artifactory/
  - name: Artifactory Video
    url: https://www.youtube.com/watch?v=r2_A5CPo43U
  maintainers:
  - email: partner-support@jfrog.com
    name: JFrog
  maturity: alpha
  provider:
    name: JFrog
  version: 1.0.0
status:
  certsLastUpdated: null
  certsRotateAt: null
  lastTransitionTime: null
  lastUpdateTime: null
